Bump version and require vector 0.6
authorRoman Leshchinskiy <rl@cse.unsw.edu.au>
Thu, 22 Apr 2010 16:47:24 +0000 (16:47 +0000)
committerRoman Leshchinskiy <rl@cse.unsw.edu.au>
Thu, 22 Apr 2010 16:47:24 +0000 (16:47 +0000)
tests/vector-tests.cabal

index e8c313f..ca25cb9 100644 (file)
@@ -1,5 +1,5 @@
 Name:           vector-tests
-Version:        0.5
+Version:        0.6
 License:        BSD3
 License-File:   LICENSE
 Author:         Max Bolingbroke, Roman Leshchinskiy
@@ -27,7 +27,8 @@ Executable "vector-tests"
               TypeFamilies,
               TemplateHaskell
 
-  Build-Depends: base >= 4 && < 5, template-haskell, vector, random,
+  Build-Depends: base >= 4 && < 5, template-haskell, vector >= 0.6 && < 0.7,
+                 random,
                  QuickCheck >= 2, test-framework, test-framework-quickcheck2
 
   -- Don't let fusion occur or GHC will make our tests less informative in some cases :-)